Subject: Re: bug#56535: 28.1; `no' and `no-ding' values for isearch-wrap-pause option (since Emacs 28.1) not working as documented

From: Arun V <[email-masked]>
Date: Sat, 16 Jul 2022 14:51:45 +0530

Hey Juri,

Regret the delayed response.

Yes, I do believe this would be a good idea.

Let me try this patch atop emacs-28.1 and get back to you.

On Thu, 14 Jul, 2022, 01:21 Juri Linkov, <[email-masked]> wrote:

> > But when I set the value to `no' or `no-ding', I was expecting the
> > point to automatically move to the third line immediately after typing
> > "t" as mentioned in the above use case.
>
> It was never intended to wrap around on typing a letter or yanking a text.
> If such a behavior is a good idea, it could be added as a new value
> to this variable.
>
> Please try the following patch after setting isearch-wrap-pause to the
> new value 'auto-repeat':
>
>